| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# GaudiAlg Namespace Reference

## Detailed Description

GaudiAlg.h GaudiAlg/GaudiAlg.h Namespace with defintion of useful constants, types and function, common for all classes from GaudiAlg package.

Definitions of few useful hash-maps, classes and typedefs used for classes GaudiHistos and GaudiTuples.

Author:
  Vanya BELYAEV Ivan.Belyaev@lapp.in2p3.fr

Date:
  2005-08-06

Author:
  Vanya BELYAEV Ivan.Belyaev@itep.ru

Date:
  2004-01-23

## Classes
class | ID
| ID class for Histogram and Ntuples. More...
class | Print
| collection of useful utilities to print IHistogram1D (currently used for implementation of class GaudiHistoAlg and class GaudiHistoTool) More...
class | Print1D
| collection of useful utilities to print IHistogram1D (currently used for implementation of class GaudiHistoAlg and class GaudiHistoTool) More...
class | Print2D
| collection of useful utilities to print IHistogram1D (currently used for implementation of class GaudiHistoAlg and class GaudiHistoTool) More...
class | Print3D
| collection of useful utilities to print IHistogram1D (currently used for implementation of class GaudiHistoAlg and class GaudiHistoTool) More...
class | Print1DProf
| collection of useful utilities to print IProfile1D (currently used for implementation of class GaudiHistoAlg and class GaudiHistoTool) More...
class | Print2DProf
| collection of useful utilities to print IProfile2D (currently used for implementation of class GaudiHistoAlg and class GaudiHistoTool) More...
class | PrintTuple
| collection of useful utilities to print INTuple object (currently used for implementation of class GaudiTupleAlg and class GaudiTupleTool) More...
class | PrintStat
| collection of useful utilities to print StatEntity (currently used for implementation of class GaudiAlgorithm and class GaudiTool) More...
## Namespaces
namespace | GaudiAlg_confDb
namespace | GaudiAlgConf
## Typedefs
typedef Histos::HistoID | HistoID
| The actual type for histogram identifier.
typedef GaudiUtils::HashMap < std::string, AIDA::IHistogram1D * > | Histo1DMapTitle
| the actual type for (title)->(1D histogram) map
typedef GaudiUtils::HashMap < HistoID::NumericID, AIDA::IHistogram1D * > | Histo1DMapNumericID
| the actual type for (Numeric ID)->(1D histogram) map
typedef GaudiUtils::HashMap < HistoID::LiteralID, AIDA::IHistogram1D * > | Histo1DMapLiteralID
| the actual type for (Literal ID)->(1D histogram) map
typedef GaudiUtils::HashMap < std::string, AIDA::IHistogram2D * > | Histo2DMapTitle
| the actual type for (title)->(2D histogram) map
typedef GaudiUtils::HashMap < HistoID::NumericID, AIDA::IHistogram2D * > | Histo2DMapNumericID
| the actual type for (Numeric ID)->(2D histogram) map
typedef GaudiUtils::HashMap < HistoID::LiteralID, AIDA::IHistogram2D * > | Histo2DMapLiteralID
| the actual type for (Literal ID)->(2D histogram) map
typedef GaudiUtils::HashMap < std::string, AIDA::IHistogram3D * > | Histo3DMapTitle
| the actual type for (title)->(3D histogram) map
typedef GaudiUtils::HashMap < HistoID::NumericID, AIDA::IHistogram3D * > | Histo3DMapNumericID
| the actual type for (Numeric ID)->(3D histogram) map
typedef GaudiUtils::HashMap < HistoID::LiteralID, AIDA::IHistogram3D * > | Histo3DMapLiteralID
| the actual type for (Literal ID)->(3D histogram) map
typedef GaudiUtils::HashMap < std::string, AIDA::IProfile1D * > | Profile1DMapTitle
| the actual type for (title)->(1D Profile Histogram) map
typedef GaudiUtils::HashMap < HistoID::NumericID, AIDA::IProfile1D * > | Profile1DMapNumericID
| the actual type for (Numeric ID)->(1D Profile histogram) map
typedef GaudiUtils::HashMap < HistoID::LiteralID, AIDA::IProfile1D * > | Profile1DMapLiteralID
| the actual type for (Literal ID)->(1D Profile histogram) map
typedef GaudiUtils::HashMap < std::string, AIDA::IProfile2D * > | Profile2DMapTitle
| the actual type for (title)->(2D Profile Histogram) map
typedef GaudiUtils::HashMap < HistoID::NumericID, AIDA::IProfile2D * > | Profile2DMapNumericID
| the actual type for (Numeric ID)->(2D Profile histogram) map
typedef GaudiUtils::HashMap < HistoID::LiteralID, AIDA::IProfile2D * > | Profile2DMapLiteralID
| the actual type for (Literal ID)->(2D Profile histogram) map
typedef GaudiUtils::HashMap < std::string, Tuples::TupleObj * > | TupleMapTitle
| the actual type for (title)->(tuple) map
typedef GaudiUtils::HashMap < TupleID::NumericID, Tuples::TupleObj * > | TupleMapNumericID
| the actual type for (Numeric ID)->(tuple) map
typedef GaudiUtils::HashMap < TupleID::LiteralID, Tuples::TupleObj * > | TupleMapLiteralID
| the actual type for (Literal ID)->(tuple) map
typedef Tuples::TupleID | TupleID
| the actual type for N-Tuple identifier
## Functions
std::string | fileLine (const int number)
| convers number into teh string (remove the actual code duplication from namespaces GaudiAlgLocal and GaudiToolLocal

## Typedef Documentation

typedef GaudiUtils::HashMap< HistoID::LiteralID , AIDA::IHistogram1D* > GaudiAlg::Histo1DMapLiteralID

the actual type for (Literal ID)->(1D histogram) map

Definition at line 79 of file Maps.h.

typedef GaudiUtils::HashMap< HistoID::NumericID , AIDA::IHistogram1D* > GaudiAlg::Histo1DMapNumericID

the actual type for (Numeric ID)->(1D histogram) map

Definition at line 72 of file Maps.h.

typedef GaudiUtils::HashMap< std::string , AIDA::IHistogram1D* > GaudiAlg::Histo1DMapTitle

the actual type for (title)->(1D histogram) map

Definition at line 65 of file Maps.h.

typedef GaudiUtils::HashMap< HistoID::LiteralID , AIDA::IHistogram2D* > GaudiAlg::Histo2DMapLiteralID

the actual type for (Literal ID)->(2D histogram) map

Definition at line 102 of file Maps.h.

typedef GaudiUtils::HashMap< HistoID::NumericID , AIDA::IHistogram2D* > GaudiAlg::Histo2DMapNumericID

the actual type for (Numeric ID)->(2D histogram) map

Definition at line 95 of file Maps.h.

typedef GaudiUtils::HashMap< std::string , AIDA::IHistogram2D* > GaudiAlg::Histo2DMapTitle

the actual type for (title)->(2D histogram) map

Definition at line 88 of file Maps.h.

typedef GaudiUtils::HashMap< HistoID::LiteralID , AIDA::IHistogram3D* > GaudiAlg::Histo3DMapLiteralID

the actual type for (Literal ID)->(3D histogram) map

Definition at line 125 of file Maps.h.

typedef GaudiUtils::HashMap< HistoID::NumericID , AIDA::IHistogram3D* > GaudiAlg::Histo3DMapNumericID

the actual type for (Numeric ID)->(3D histogram) map

Definition at line 118 of file Maps.h.

typedef GaudiUtils::HashMap< std::string , AIDA::IHistogram3D* > GaudiAlg::Histo3DMapTitle

the actual type for (title)->(3D histogram) map

Definition at line 111 of file Maps.h.

typedef Histos::HistoID GaudiAlg::HistoID

The actual type for histogram identifier.

Definition at line 33 of file HistoID.h.

typedef GaudiUtils::HashMap< HistoID::LiteralID , AIDA::IProfile1D* > GaudiAlg::Profile1DMapLiteralID

the actual type for (Literal ID)->(1D Profile histogram) map

Definition at line 148 of file Maps.h.

typedef GaudiUtils::HashMap< HistoID::NumericID , AIDA::IProfile1D* > GaudiAlg::Profile1DMapNumericID

the actual type for (Numeric ID)->(1D Profile histogram) map

Definition at line 141 of file Maps.h.

typedef GaudiUtils::HashMap< std::string , AIDA::IProfile1D* > GaudiAlg::Profile1DMapTitle

the actual type for (title)->(1D Profile Histogram) map

Definition at line 134 of file Maps.h.

typedef GaudiUtils::HashMap< HistoID::LiteralID , AIDA::IProfile2D* > GaudiAlg::Profile2DMapLiteralID

the actual type for (Literal ID)->(2D Profile histogram) map

Definition at line 171 of file Maps.h.

typedef GaudiUtils::HashMap< HistoID::NumericID , AIDA::IProfile2D* > GaudiAlg::Profile2DMapNumericID

the actual type for (Numeric ID)->(2D Profile histogram) map

Definition at line 164 of file Maps.h.

typedef GaudiUtils::HashMap< std::string , AIDA::IProfile2D* > GaudiAlg::Profile2DMapTitle

the actual type for (title)->(2D Profile Histogram) map

Definition at line 157 of file Maps.h.

typedef Tuples::TupleID GaudiAlg::TupleID

the actual type for N-Tuple identifier

Definition at line 33 of file TupleID.h.

typedef GaudiUtils::HashMap< TupleID::LiteralID , Tuples::TupleObj* > GaudiAlg::TupleMapLiteralID

the actual type for (Literal ID)->(tuple) map

Definition at line 194 of file Maps.h.

typedef GaudiUtils::HashMap< TupleID::NumericID , Tuples::TupleObj* > GaudiAlg::TupleMapNumericID

the actual type for (Numeric ID)->(tuple) map

Definition at line 187 of file Maps.h.

typedef GaudiUtils::HashMap< std::string , Tuples::TupleObj* > GaudiAlg::TupleMapTitle

the actual type for (title)->(tuple) map

Definition at line 180 of file Maps.h.

## Function Documentation

std::string GaudiAlg::fileLine | ( | const int | number | ) |

convers number into teh string (remove the actual code duplication from namespaces GaudiAlgLocal and GaudiToolLocal

Parameters:

  | number | value

Returns:
  string representation

convers number into teh string (remove the actual code duplication from namespaces GaudiAlgLocal and GaudiToolLocal

Parameters:

  | number | value

Returns:
  string representation

Definition at line 32 of file GaudiAlg.cpp.

    00033 { return boost::lexical_cast<std::string>( number ) ; } ;